kaminari 1.2.0 → 1.2.1

This diff has not been reviewed by any users.
Log in in order to be able to vote.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: c8607b285409d76d0c68a19924edf473866ab7a83511c94924349325f0d6b2ca
4
- data.tar.gz: ac1a08f30feda404a1ce8e86b5a84942b3f18126ae265efb8266133af901a82d
3
+ metadata.gz: 62a37b3deee187d19c0346edd24a455460fcbd9aa22a1759d72a6df40faf2285
4
+ data.tar.gz: e4094f7511aa1e57a3abab885f6c071685f31d0e6f04b7827a218ad2d23df8d0
5
5
  SHA512:
6
- metadata.gz: 63878e81aae42b5dbbdefbc99bdf5f9628b2824f0073adb3503a601af79dc7a3dc953a4ed104dbd6ccb88de1cca68c686f1abff8e6dfa4dbe15282ba063b9aa2
7
- data.tar.gz: 5ee42e101d967dd4f4bbadcb1a57f85f2eff41d25ee64b7aef5da8d77ce03ed7f1297269ae2a45ffa0436535014a086dc4afdbc7332388e5078263854b06bd1c
6
+ metadata.gz: 163a7121c51a8a653ea4e29f6fd11375eebd4f24a38cf2f7022d8abe077d774993e2c2651e729ef868c8eb43e9517760210474d6568428193f170d6e708b3445
7
+ data.tar.gz: d9e0d3e3d9647da5d1791117d05c6543c5a59bf0a92d6e6f4c585cc1f23f3f8f13e27c07eaeb1c4e90d3e1c23a6452ae2fa03bf0e0027976f8d4161e7b91e42f
@@ -1,3 +1,15 @@
1
+ ## 1.2.1
2
+
3
+ ### Security Fixes:
4
+
5
+ * Added `original_script_name` parameter to the ignore list: #1020 [@viseztrance]
6
+ See CVE-2020-11082 for full details.
7
+
8
+ ### Bug Fixes:
9
+
10
+ * Fixed a couple of grouped `total_count` regressions by reverting #979
11
+
12
+
1
13
  ## 1.2.0
2
14
 
3
15
  ### Deprecations:
data/README.md CHANGED
@@ -30,9 +30,9 @@ The pagination helper outputs the HTML5 `
30
30
 
31
31
  ## Supported Versions
32
32
 
33
- * Ruby 2.0.0, 2.1.x, 2.2.x, 2.3.x, 2.4.x, 2.5.x, 2.6.x, 2.7
33
+ * Ruby 2.0.0, 2.1.x, 2.2.x, 2.3.x, 2.4.x, 2.5.x, 2.6.x, 2.7.x, 2.8
34
34
 
35
- * Rails 4.1, 4.2, 5.0, 5.1, 5.2, 6.0
35
+ * Rails 4.1, 4.2, 5.0, 5.1, 5.2, 6.0, 6.1
36
36
 
37
37
  * Sinatra 1.4, 2.0
38
38
 
@@ -1,5 +1,5 @@
1
1
  # frozen_string_literal: true
2
2
 
3
3
  module Kaminari
4
- VERSION = '1.2.0'
4
+ VERSION = '1.2.1'
5
5
  end
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: kaminari
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.2.0
4
+ version: 1.2.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - Akira Matsuda
@@ -11,7 +11,7 @@ authors:
11
11
  autorequire:
12
12
  bindir: bin
13
13
  cert_chain: []
14
- date: 2020-01-30 00:00:00.000000000 Z
14
+ date: 2020-05-27 00:00:00.000000000 Z
15
15
  dependencies:
16
16
  - !ruby/object:Gem::Dependency
17
17
  name: activesupport
@@ -33,42 +33,42 @@ dependencies:
33
33
  requirements:
34
34
  - - '='
35
35
  - !ruby/object:Gem::Version
36
- version: 1.2.0
36
+ version: 1.2.1
37
37
  type: :runtime
38
38
  prerelease: false
39
39
  version_requirements: !ruby/object:Gem::Requirement
40
40
  requirements:
41
41
  - - '='
42
42
  - !ruby/object:Gem::Version
43
- version: 1.2.0
43
+ version: 1.2.1
44
44
  - !ruby/object:Gem::Dependency
45
45
  name: kaminari-actionview
46
46
  requirement: !ruby/object:Gem::Requirement
47
47
  requirements:
48
48
  - - '='
49
49
  - !ruby/object:Gem::Version
50
- version: 1.2.0
50
+ version: 1.2.1
51
51
  type: :runtime
52
52
  prerelease: false
53
53
  version_requirements: !ruby/object:Gem::Requirement
54
54
  requirements:
55
55
  - - '='
56
56
  - !ruby/object:Gem::Version
57
- version: 1.2.0
57
+ version: 1.2.1
58
58
  - !ruby/object:Gem::Dependency
59
59
  name: kaminari-activerecord
60
60
  requirement: !ruby/object:Gem::Requirement
61
61
  requirements:
62
62
  - - '='
63
63
  - !ruby/object:Gem::Version
64
- version: 1.2.0
64
+ version: 1.2.1
65
65
  type: :runtime
66
66
  prerelease: false
67
67
  version_requirements: !ruby/object:Gem::Requirement
68
68
  requirements:
69
69
  - - '='
70
70
  - !ruby/object:Gem::Version
71
- version: 1.2.0
71
+ version: 1.2.1
72
72
  - !ruby/object:Gem::Dependency
73
73
  name: test-unit-rails
74
74
  requirement: !ruby/object:Gem::Requirement
@@ -187,7 +187,7 @@ required_rubygems_version: !ruby/object:Gem::Requirement
187
187
  - !ruby/object:Gem::Version
188
188
  version: '0'
189
189
  requirements: []
190
- rubygems_version: 3.1.2
190
+ rubygems_version: 3.2.0.pre1
191
191
  signing_key:
192
192
  specification_version: 4
193
193
  summary: A pagination engine plugin for Rails 4+ and other modern frameworks